Web lists-archives.com

Re: Numpy 1.12.1 setup issue (targetting Python 3.6.1) from Cygwin 2.8.0




On Mon, Apr 17, 2017 at 12:01 PM, Kptain <kaptain.biwouak@xxxxxxxxx> wrote:
> I have installed python-dev package on Cygwin.
>
> It seems to be better as now I am able to build wheels for collected
> packages: numpy
>
> $ pip3 install numpy
> Collecting numpy
> Using cached numpy-1.12.1.zip
> Building wheels for collected packages: numpy
> Running setup.py bdist_wheel for numpy ... done
> Stored in directory:
> /cygdrive/d/ARCHITECTURE/.cache/pip/wheels/50/b5/d0/3994af801e0786dfb41a9856ddf85d69c54f233e749935d536
> Successfully built numpy
> Installing collected packages: numpy
> Successfully installed numpy-1.12.1
> <<
>
> No issue detected also from from pip checker:
>
> $ pip3 check numpy
> No broken requirements found.
> <<
>
> However, I am still not able to run my numpy sample script:
>
> (short extract)
> import numpy as np
>
> a = np.array([1,2,3,4])
> print(a)
>
> python3 numpy_sample.py
> Traceback (most recent call last):
> File "numpy_sample.py", line 1, in
> import numpy as np
> File
> "/cygdrive/d/GFMWK_NEXT/base/cygwin/lib/python3.6/site-packages/numpy/init.py",
> line 142, in
> from . import add_newdocs
> File
> "/cygdrive/d/GFMWK_NEXT/base/cygwin/lib/python3.6/site-packages/numpy/add_newdocs.py",
> line 13, in
> from numpy.lib import add_newdoc
> File
> "/cygdrive/d/GFMWK_NEXT/base/cygwin/lib/python3.6/site-packages/numpy/lib/init.py",
> line 18, in
> from .polynomial import *
> File
> "/cygdrive/d/GFMWK_NEXT/base/cygwin/lib/python3.6/site-packages/numpy/lib/polynomial.py",
> line 20, in
> from numpy.linalg import eigvals, lstsq, inv
> File
> "/cygdrive/d/GFMWK_NEXT/base/cygwin/lib/python3.6/site-packages/numpy/linalg/init.py",
> line 51, in
> from .linalg import *
> File
> "/cygdrive/d/GFMWK_NEXT/base/cygwin/lib/python3.6/site-packages/numpy/linalg/linalg.py",
> line 29, in
> from numpy.linalg import lapack_lite, _umath_linalg
> ImportError: No such file or directory
> <<
>
> I am not also able to find any lapack library for python, except cygwin
> packages below also installed:
> fort77
> libopenblas
> liblapack0
> liblapack-devel
>
> Then, It is not clear what is missing : other cygwin package or python3
> dependency as pip checker highlights nothing missing.
>
> Thanks again for your help,

I've just started having this problem too.  There appears to be a bug
in the latest version of the liblapack0 package, because the import
lib liblapack.dll.a lists the lapack DLL name as "cyglapack.dll", when
it should be "cyglapack-0.dll".

Copying /lib/lapack/cyglapack-0.dll to /lib/lapack/cyglapack.dll works
as a workaround...

Thanks,
Erik

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple